Subject: Names in ACTPU/ACTLU

From: David Bryant/HQ/3Com <[email-masked]>
Date: 11 Dec 95 15:03:12 EDT

Resending... (our gateway's been having some problems).....

Guys - 

Let me also express my desire to see this information passed on ACTLU and 
ACTPU.  This information is required in all cases where SNA Boundary functions 
are being extended via technologies like: APPN/DLUr, BAN, RFC1490, and DLSw.  I 
have some proposals that might help out.....

I agree with Jim that we can't afford to pass these unexpected names to 
downstream PU2s (or other) because we're basically in the legacy device support 
business.  And this business is predicated on the notion of not investing any 
further in the legacy equipment.  It's an accomodation business and not one 
where we can call for change to the legacy device. 

I also agree that sysdef is an undesirable instrumentation vehicle as network 
administration burdens are high enough these days. 

So I propose the following:

We need to carry some indicator to VTAM/NCP BF to let them know we'd like the 
info.   I can think of a couple of options:  

1). We could use a bit in XID0 byte 0, bit 4-7 to indicate desire for the name.
But I realize, as Jim indicates, we can't always count on an XID exchange. 
(This probably can be avoided in most technologies which provide local LLC 
termination).  But  alternatively, 

2). We can count on a SNRM/SABM|E-UA exchange.  It is possible for us to define 
new frames in the control field portion of the DLC.  Think of these frames as 
SNRMn, SABMn/SABMEn, and UAn.
Where the 'n' implies desire for a name on ACTPU and ACTLU.  
-The trick to this approach is that the sender will need to know ahead of time 
whether these frames can be sent to the Boundary Function in question.  So this 
would require sysdef on the part of the sender.   But I think it avoids sysdef 
on VTAM and NCP.  This is, of course, of crucial importance to IBM and we need 
their help to make this work.   So making it easier on IBM seems a reasonable 
compromise to me. 

Next we will need to control passing the ACTPU/LU to the actual SNA node in 
question.  This should be the responsibility of the node(s) requesting the 
name.   They can choose to send it to accept it (the node is an uplevel PU), or 
pass it downstream but will have to deal with the potential interoperability 
ramifications. 

Does this sound like a reasonable approach?  If so, I will submit the precise 
bit settings (already investigated) etc.

-Db
Director IBM Internetworking
3Com Corp